# Generated by Django 2.1.4 on 2018-12-06 07:09

from django.db import migrations, models
import tenant_schemas.postgresql_backend.base


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Company',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('domain_url', models.CharField(max_length=128, unique=True)),
                ('schema_name', models.CharField(max_length=63, unique=True, validators=[tenant_schemas.postgresql_backend.base._check_schema_name])),
                ('name', models.CharField(max_length=100)),
                ('website', models.URLField(max_length=100)),
                ('address', models.CharField(max_length=1024)),
                ('work_category', models.CharField(max_length=100)),
                ('admin_email', models.EmailField(max_length=100)),
                ('contact', models.CharField(max_length=100)),
                ('sub_domain', models.CharField(max_length=100, unique=True)),
                ('created_on', models.DateField(auto_now_add=True)),
                ('updated_on', models.DateField(auto_now=True)),
                ('is_deleted', models.BooleanField(default=False)),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
